package com.sundot.airport.exam.logic.manage.model.result.sub;

import com.sundot.airport.exam.enums.QuesCompScoreTypeEnum;
import com.sundot.airport.exam.logic.manage.model.result.QuesPageResult;

/**
 * <b>功能名：</b>TestPaperQuestionResult<br>
 * <b>说明：</b> 试卷题目列表结果 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-22 liangxiao
 */
public class TestPaperQuestionResult extends QuesPageResult {

    /**
     * 业务主键
     */
    private String tpqId;

    /**
     * 题目满分（用于统计）
     */
    private Integer tpqTotalScore;

    /**
     * 积分方式（枚举=LEFT左增；RIGHT右减）
     */
    private QuesCompScoreTypeEnum tpqCompType;

    /**
     * A情况分值
     */
    private Integer tpqLeftScore;

    /**
     * B情况分值（一般是减分）
     */
    private Integer tpqRightScore;

    /**
     * 试卷表业务主键
     */
    private String tpId;

    /**
     * 题目排序
     */
    private Integer sort;

    @Override
    public String toString() {
        return super.toString() + "TestPaperQuestionResult{" +
                "tpqId='" + tpqId + '\'' +
                ", tpqTotalScore=" + tpqTotalScore +
                ", tpqCompType=" + tpqCompType +
                ", tpqLeftScore=" + tpqLeftScore +
                ", tpqRightScore=" + tpqRightScore +
                ", tpId='" + tpId + '\'' +
                ", sort=" + sort +
                '}';
    }

    public String getTpqId() {
        return tpqId;
    }

    public void setTpqId(String tpqId) {
        this.tpqId = tpqId;
    }

    public Integer getTpqTotalScore() {
        return tpqTotalScore;
    }

    public void setTpqTotalScore(Integer tpqTotalScore) {
        this.tpqTotalScore = tpqTotalScore;
    }

    public QuesCompScoreTypeEnum getTpqCompType() {
        return tpqCompType;
    }

    public void setTpqCompType(QuesCompScoreTypeEnum tpqCompType) {
        this.tpqCompType = tpqCompType;
    }

    public Integer getTpqLeftScore() {
        return tpqLeftScore;
    }

    public void setTpqLeftScore(Integer tpqLeftScore) {
        this.tpqLeftScore = tpqLeftScore;
    }

    public Integer getTpqRightScore() {
        return tpqRightScore;
    }

    public void setTpqRightScore(Integer tpqRightScore) {
        this.tpqRightScore = tpqRightScore;
    }

    public String getTpId() {
        return tpId;
    }

    public void setTpId(String tpId) {
        this.tpId = tpId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
